﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace WordpressPlugin
{
    public partial class WeblogPasswordForm : Form
    {
        public WeblogPasswordForm()
        {
            InitializeComponent();
        }

        public WeblogPasswordForm(BlogContext context)
        {
            InitializeComponent();
            Text = labelLabel.Text = "Enter password for " + context.PublishingContext.BlogName;
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }

        public string Password
        {
            get
            {
                return textBoxPassword.Text;
            }
        }

        public bool SavePassword
        {
            get
            {
                return checkBoxPassword.Checked;
            }
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
