﻿using System;
using System.Collections.Generic;
using System.Text;
using WindowsLive.Writer.Api;
using System.Windows.Forms;
using System.Collections;

namespace WordpressPlugin
{
    [WriterPluginAttribute("887EC618-8FBE-49a5-A908-2339AF2EC721", "Comment Management")]
    [InsertableContentSourceAttribute("Comment Management")]
    public class CommentManagementPlugin : SmartContentSource
    {
        public override SmartContentEditor CreateEditor(ISmartContentEditorSite editorSite)
        {
            return null;
        }

        public override string GeneratePublishHtml(ISmartContent content, IPublishingContext publishingContext)
        {
            BlogContext context = new BlogContext(publishingContext);

            using (CommentForm form = new CommentForm(context))
            {
                form.ShowDialog();
            }

            return "";
        }

        public override DialogResult CreateContent(IWin32Window dialogOwner, ISmartContent newContent)
        {
            return DialogResult.OK;
        }


    }
}