﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace WordpressPlugin
{
    public partial class CommentTabControl : TabControl
    {
        public CommentTabPage NewTabPage
        {
            get { return newTabPage; }
        }

        public CommentTabPage ApprovedTabPage
        {
            get { return approvedTabPage; }
        }

        public CommentTabPage SpamTabPage
        {
            get { return spamTabPage; }
        }

        public CommentTabControl()
        {
            InitializeComponent();
        }

        public CommentTabPage GetAssociatedTabPage(Comment comment)
        {
            foreach (TabPage tabPage in TabPages)
            {
                CommentTabPage commentTabPage = tabPage as CommentTabPage;
                if (commentTabPage != null && commentTabPage.Status == comment.Status)
                    return commentTabPage;
            }

            return null;
        }
    }
}
